<?php
$LANG           = $module->lang;
$established    = false;
$options        = $order["options"];
$config         = isset($options["config"]) ? $options["config"] : [];
$decoded_password = $module->get_password();
if ($config && isset($config[$module->entity_id_name])) $established = true;
$buttons        =  $module->adminArea_buttons_output();

// Most code restyles output
?>
<style>
    .hostbtn,
    #content-requirements input,
    #content-hosting input {
        border: 1px solid burlywood !important;
    }
    #hostingForm_submit {
        color: #000;
        border-radius: 5px;
        background: burlywood;
        border: 1px solid cadetblue;
    }
    .hostbtn:hover {
        border: 1px solid cadetblue;
    }
    #content-hosting {
        background-image: url('/coremio/modules/Servers/GeniusPlugin/logo.svg');
        background-repeat: no-repeat;
        background-position: 100% 0%;
        background-size: 70vh auto;
    }
    @media (max-width: 640px) {
        #content-hosting {
            background-image: url('/coremio/modules/Servers/GeniusPlugin/logo-w.svg');
        }
        #config_data {
            text-align: center;
        }
        .yuzde50 {
            width: 80vw
        }
    }
</style>
<script>
    $('#reset_password_confirm').remove();
    $('#re_install_confirm').remove();
    $('#terminate_confirm').remove();
    $('#processbtns').remove();
    $('#requirementsForm_submit').remove();
    $('#content-requirements input').prop('readonly', true);
    $('#requirementsForm_submit').on('click', function(event) {
        event.preventDefault();
    });
    $('#hostingForm_submit').replaceWith('<a id="hostingForm_submit" href="javascript:void(0);" onclick="run_transaction(\'Update\', this);" class="yesilbtn gonderbtn">Update</a>');
    var domainInput = document.getElementsByName("domain")[0];
    if (domainInput) {
        domainInput.value = "<?php echo $options['domain']; ?>";
        domainInput.readOnly = true;
        domainInput.style.textAlign = "center";
    }
    var tokenInput = document.getElementsByName("config[token]")[0];
    if (tokenInput) {
        tokenInput.readOnly = true;
        tokenInput.style.textAlign = "center";
    }
    $(document).ready(function() {
        $('input[name="domain"]').val($('#content-requirements input[type="text"]').val());
        $("#resetPass").className = '';

        var requirements = $('input[value="<?php echo $options['domain']; ?>"]');
        if (requirements.length > 0) {
            requirements.prop('readonly', true);
            requirements.css('text-align', 'center');
        }
        $("#config_data").nextAll(".formcon").each(function() {
            $(this).hide();
            if ($(this).is("#content-blocks")) {
                return false;
            }
        });
    });
    function toggle_ftp_pw(el) {
        var iel = $('i', el);
        if (iel.hasClass('fa-eye')) {
            iel.removeClass('fa-eye');
            iel.addClass('fa-eye-slash');
            $('#ftp_password_decrypted').css('display', 'inline-block');
            $('#ftp_password_encrypted').css('display', 'none');
        } else {
            iel.removeClass('fa-eye-slash');
            iel.addClass('fa-eye');
            $('#ftp_password_encrypted').css('display', 'inline-block');
            $('#ftp_password_decrypted').css('display', 'none');
        }
    }
</script>
<br>&nbsp;<br>
<strong>Dashboard Password</strong>:
<span id="ftp_password_encrypted">**********</span>
<span class="selectalltext" id="ftp_password_decrypted" style="display: none;"><?php echo $decoded_password; ?></span>
<a href="javascript:void 0;" onclick="toggle_ftp_pw(this);"><i class="fa fa-eye"></i></a>
<br>&nbsp;<br>
<?php
if ($buttons) {
?>
    <div class="formcon">
        <?php echo $buttons; ?>
    </div>
    <div class="clear"></div>
<?php
}
?>
<div class="clear"></div>
<br>
<?php
if (method_exists($module, "config_options") && $config_options = $module->config_options($config))
    $module->config_options_output($config_options, 'config');
?>